%global __provides_exclude %{?__provides_exclude:%__provides_exclude|}^perl\\(Math::BigInt\\)\\s*$
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}perl\\(Carp\\)\\s*$
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}perl\\(.::t/.*.inc\\)
%global __requires_exclude %{__requires_exclude}|perl\\(Math::BigFloat::Subclass\\)
%global __requires_exclude %{__requires_exclude}|perl\\(Math::BigInt::(BareCalc\|Scalar\|Subclass)\\)
%global __requires_exclude %{__requires_exclude}|perl\\(Math::BigInt::Lib::(Minimal\|TestUtil)\\)
%global __provides_exclude_from %{?__provides_exclude_from:%__provides_exclude_from|}^%{_libexecdir}

%global cpan_version 1.999837

Summary:        Arbitrary size integer math package
Name:           perl-Math-BigInt
# Keep 4-digit version to compete with perl.spec
Version:        %(echo %{cpan_version} | sed 's/\(\.....\)/\1./')
Release:        3%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Math-BigInt
Source0:        https://cpan.metacpan.org/authors/id/P/PJ/PJACKLAM/Math-BigInt-%{cpan_version}.tar.gz

BuildRequires:  coreutils make sed
BuildRequires:  perl-generators perl-interpreter
BuildRequires:  perl(Config) perl(strict) perl(warnings) perl(constant) perl(Exporter)
BuildRequires:  perl(base) perl(lib) perl(integer) perl(overload)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(Carp) >= 1.22
BuildRequires:  perl(Math::Complex) >= 1.39
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(Test::More) >= 0.94
Requires:       perl(:MODULE_COMPAT_%perl_version)
Requires:       perl(Carp) >= 1.22
Requires:       perl(Math::Complex) >= 1.39

BuildArch:      noarch

%description
Math::BigInt provides support for arbitrary precision integers.
Overloading is also provided for Perl operators.

%prep
%autosetup -n Math-BigInt-%{cpan_version}
for F in t/*.t t/alias.inc `find t -name *.pm`; do
    perl -i -MConfig -ple 'print $Config{startperl} if $. == 1 && !s{\A#!.*perl\b}{$Config{startperl}}' "$F"
    chmod +x "$F"
done

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
%make_install
%{_fixperms} %{buildroot}/*

%check
export HARNESS_OPTIONS=j%{_smp_build_ncpus}
make test

%files
%license LICENSE
%doc BUGS CHANGES CREDITS examples GOALS HISTORY README TODO
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.9998.37-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.9998.37-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Aug 10 2022 ZoeDong <zoedong@tencent.com> - 1.9998.37-1
- Initial build

